import Taro, { useRouter, useDidShow } from "@tarojs/taro";
import { useModel } from '@/store'
import { useEffect , useMemo } from "react";

const whiteList = [
  "/pages/login/index",
  "/pages/index/index"
]

export default () => {
  const router = useRouter()
  const {person} = useModel('person')

  const isInWhiteList = useMemo(() => whiteList.includes(router.path), [router.path])
  const hasPhone = useMemo(() => !!person?.phone, [person?.phone])

  // 校验跳转
  // useMemo(() => {
    // if (!isInWhiteList && !hasPhone) {
    //   Taro.navigateTo({ url: "/pages/login/index" });
    // }
  // }, [hasPhone, isInWhiteList])

  // useDidShow(() => {
  //   if (!isInWhiteList && !isLoged) {
  //     Taro.navigateTo({ url: "/pages/login/index" });
  //   }
  // })

  useEffect (() => {
    if (!isInWhiteList && !hasPhone) {
      Taro.navigateTo({ url: "/pages/login/index" });
    }
  }, [hasPhone, isInWhiteList])


  // if (router.path === "/pages/login/index") {
  //   return;
  // }
  // if (router.path !== "/pages/index/index" && !person?.phone) {
  //   Taro.navigateTo({ url: "/pages/login/index" });
  // }


  return { hasPhone, isInWhiteList }
};
