
import Taro from '@tarojs/taro'
import { useEffect , useMemo } from 'react'
import useRouter from '@/utils/hooks/useRouter'
import useLogin from '@/utils/hooks/useLogin'
import Spin from "@/components/Spin";
import { useModel } from '@/store'


export default (Child) => (props) => {
  const {person}=useModel('person')
  const router = useRouter()
  
  const location = Taro.getStorageSync('location')

  const { hasPhone } = useLogin()


  // Taro.useReady(()=>{
  //   useLogin(person,router)
  // })
  // useEffect(()=>{
  //   useLogin(person,router)
  // },[person, person?.phone, router, router?.path])

  // 确保执行过 login 方法，拿到了 person
  const isLoged = useMemo(() => !!person?.personId, [person?.personId])

  return isLoged ? <Child {...props} router={router} location={location} /> : <Spin />
}
